Bug 50455 - sndconfig failed to open '/dev/audio' during testing (Yamaha OPL3-SAx on Toshiba Tecra8000 notebook)
sndconfig failed to open '/dev/audio' during testing (Yamaha OPL3-SAx on Tosh...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 08:46 EDT by Joseph Wei
Modified: 2014-03-16 22:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Wei 2001-07-31 08:46:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
I am using a Toshiba Tecra8000 note book with PII, 256MB RAM and Yamaha
OPL3-SAx sound card, I have been using RedHat6.0, RedHat6.2, RedHat7.0 and
'sndconfig' worked fine.  But when I decide to do a clean install of RedHat
Linux 7.1.  sndconfig prompts a error message says something like "error
open /dev/audio" then return to card selection screen.

How reproducible:
Always

Steps to Reproduce:
What I did is following:
1) I run 'sndconfig' as root from X windows (I know that is bad, but it
works until RH7.1).
2) PnP sound card detection failed, but it always fails (I tried 'isapnp',
it founds nothing).
3) Then I choose 'OPL3-SA2/3/x sound card' from card selection screen.
4) I set IO port 0x530, IRQ 7, DMA1 1, DMA2 0, MPU I/O 0x330, CONTROL I/O
0x370.
5) Then I was told a sound sample will be played.
6) Then a message says 'A error occured opening /dev/audio'
7) Then it jump back to 'no PnP card is found' part.

I checked '/dev/audio' permission is 'crw-------'

By the way, I tried all the options for card setting part (I/O, DMA, IRQ),
none of them worked.

	

Additional info:
Comment 1 Bill Nottingham 2001-07-31 11:56:03 EDT
What does /proc/isapnp look like?
Comment 2 Joseph Wei 2001-08-01 05:22:43 EDT
There is no 'isapnp' file in '/proc' directory, I run 'pnpdump' once before it
says 'No boards found', I just tried again, result is the same.

But here is the content of 'isapnp.gone', maybe it's helpful:

#
# Standard motherboard stuff
#
# COM1
#
#IO 0x3f8,8
#IRQ 4
#
# COM2
#
#IO 0x2f8,8
#IRQ 3
#
# Parallel
#
#IO 0x378,2
#IRQ 7
#
# PS2 mouse
#
#IRQ 12
#
# Sound
#
#IO 0x220,16
#IO 0x330,2
#IO 0x388,4
#IRQ 5
#DMA 1
#DMA 5
Comment 3 Need Real Name 2002-10-23 14:58:09 EDT
I have the same root issue - when using any of the possible values allowed by 
sndconfig I get the error about failing to open /dev/audio.  The cancel button 
on this screen doesn't seem to work, requiring a kill from a seperate termainal 
window.

  The output of /proc/isapnp:
[root@saturn root]# cat /proc/isapnp
Card 1 'YMH0030:OPL3-SA3 Snd System' PnP version 1.0
  Logical device 0 'YMH0021:Unknown'
    Device is active
    Active port 0x240,0xe80,0x388,0x300,0x100
    Active IRQ 5 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0xf, size 0x10, 16-bit address decoding
      Port 0x530-0x530, align 0x7, size 0x8, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
      Port 0x330-0x330, align 0x1, size 0x2, 16-bit address decoding
      Port 0x370-0x370, align 0x1, size 0x2, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 0 8-bit byte-count type-A
      DMA 1 8-bit byte-count type-A
      Alternate resources 0:1
        Priority acceptable
        Port 0x240-0x240, align 0xf, size 0x10, 16-bit address decoding
        Port 0xe80-0xe80, align 0x7, size 0x8, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0x300-0x300, align 0x1, size 0x2, 16-bit address decoding
        Port 0x100-0xffe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10,11 High-Edge
        DMA 0,1,3 8-bit byte-count type-A
        DMA 0,1,3 8-bit byte-count type-A
      Alternate resources 0:2
        Priority functional
        Port 0x220-0x280, align 0xf, size 0x10, 16-bit address decoding
        Port 0x530-0xf48, align 0x7, size 0x8, 16-bit address decoding
        Port 0x388-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x300-0x334, align 0x1, size 0x2, 16-bit address decoding
        Port 0x100-0xffe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10,11 High-Edge
        DMA 0,1,3 8-bit byte-count type-A
        DMA 0,1,3 8-bit byte-count type-A
  Logical device 1 'YMH0022:Unknown'
    Compatible device PNPb02f
    Device is not active
    Active DMA 0,0
    Resources 0
      Priority preferred
      Port 0x201-0x201, align 0x0, size 0x1, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x201-0x211, align 0xf, size 0x1, 16-bit address decoding
Comment 4 Bill Nottingham 2005-01-21 17:19:04 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.